[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TMultiReadExclusiveWriteSynchronizer.Beginread

Request read access to the resource

## Declaration

Source position: systhrdh.inc line 48

`public procedure TMultiReadExclusiveWriteSynchronizer.Beginread;`

## Description

BeginRead is the implementation of IReadWriteSync.BeginRead. It simply attempts to enter the critical section.

## Errors

None.

## See also

IReadWriteSync.BeginRead |  | Start a read operation.
EndRead |  | Release read access to the resource

Documentation generated on: Feb 26 2014